summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-02 23:46:20 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-02 23:46:20 +0100
commit8097baa0bdabcefd804c7acfc48b14243012eea4 (patch)
tree96cafab0e716351b9766cc313267f12aef1bc275 /script
parent0db6c0a4a86c12dcdfd5184981170b0b46fcf68e (diff)
handle/make/file: check for all default makefiles
Previously, this script only checked for "Makefile", but "makefile" is another valid name; additionally, if GNU Make is used, "GNUmakefile" is an accepted default. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/handle/make/file3
1 files changed, 2 insertions, 1 deletions
diff --git a/script/handle/make/file b/script/handle/make/file
index 698f4175..445016ea 100755
--- a/script/handle/make/file
+++ b/script/handle/make/file
@@ -44,7 +44,8 @@ handle_dependencies()
run_make_command()
{
- [ -f "${project}/Makefile" ] || return 0
+ [ -f "${project}/Makefile" ] || [ -f "${project}/makefile" ] || \
+ [ -f "${project}/GNUmakefile" ] || return 0
if [ -z "${mode}" ]; then
x_ make -C "${project}" -j$(nproc)
else